/*
	Publimark
 
	Copyright (c) 2004, Gatan Le Guelvouit <gleguelv@gmail.com>
 
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of
	the License, or (at your option) any later version.
 
	This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more details.
 
	You should have received a copy of the GNU General Public
	License along with this program; if not, write to the Free
	Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
	MA 02111-1307, USA.
*/

#ifndef _COMMON_H_
#define _COMMON_H_

#ifndef DEBUG 

#include "../config.h"
#define RELEASE
 
#else 

#define VERSION "0.1.2" 

#endif

#define SEED_BITS (8*sizeof(unsigned long))
#define REGISTER  5
#define INIT_GAP  3
#define PERM_GAP  3
#define MIN_DELTA 5
#define PASSPH    "E8g3fPT1IHbuAvzeOOtQrM4bnMNPrNUENgMarZiCwwQI0ii0I8/PLSU3yQI"

#define CRYPTO_BITS 512 
#define CRYPTO_RATE 16

#define ERR(x) {cerr << "ERROR: " << x << ".\n"; exit(1);}

#ifndef RELEASE

#define LOG(x) {clog << x; clog.flush();}
#define TRACE  {clog << "-- " << __FILE__ << "::" << __LINE__ << "... "; clog.flush();}
#define TOK		 {clog << "OK\n";}

#else 

#define LOG(x) {}
#define TRACE  {}
#define TOK		 {}  

#endif


#endif
